﻿/* Copyright (c) Microsoft. All rights reserved. Licensed under the MIT license. See LICENSE in the project root for license information. */
/**
 * Office UI Fabric 2.0.1
 * The front-end framework for building experiences for Office 365.
 **/
/*Sasssssssss*/
/*
  Your use of the content in the files referenced here are subject to the terms of the license at http://aka.ms/fabric-font-license
*/
.ms-Button {
  color: #333333;
  font-family: 'Segoe UI Regular WestEuropean', 'Segoe UI', Tahoma, Arial, sans-serif;
  font-size: 14px;
  font-weight: normal;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  box-shadow: none;
  background-color: #f4f4f4;
  border: 1px solid #f4f4f4;
  cursor: pointer;
  display: inline-block;
  height: 32px;
  min-width: 80px;
  padding: 4px 20px 6px;
}

.ms-Button:hover {
  background-color: #eaeaea;
  border-color: #eaeaea;
  outline: 1px solid transparent;
}

.ms-Button:hover .ms-Button-label {
  color: #000000;
}

.ms-Button:focus {
  background-color: #eaeaea;
  border-color: #0078d7;
  outline: 1px solid transparent;
}

.ms-Button:focus .ms-Button-label {
  color: #000000;
}

.ms-Button:active {
  background-color: #0078d7;
  border-color: #0078d7;
}

.ms-Button:active .ms-Button-label {
  color: #ffffff;
}

.ms-Button:disabled,
.ms-Button.is-disabled {
  background-color: #f4f4f4;
  border-color: #f4f4f4;
  cursor: default;
}

.ms-Button:disabled .ms-Button-label,
.ms-Button.is-disabled .ms-Button-label {
  color: #a6a6a6;
}

.ms-Button:disabled:hover,
.ms-Button:disabled:focus,
.ms-Button.is-disabled:hover,
.ms-Button.is-disabled:focus {
  outline: 0;
}

.ms-Button + .ms-Button {
  margin-left: 6px;
}

.ms-Button-label {
  color: #333333;
  font-family: 'Segoe UI Semibold WestEuropean', 'Segoe UI Semibold', 'Segoe UI', Tahoma, Arial, sans-serif;
  font-size: 14px;
}

.ms-Button-icon,
.ms-Button-description {
  display: none;
}

.ms-Button.ms-Button--primary {
  background-color: #0078d7;
  border-color: #0078d7;
}

.ms-Button.ms-Button--primary .ms-Button-label {
  color: #ffffff;
}

.ms-Button.ms-Button--primary:hover {
  background-color: #005a9e;
  border-color: #005a9e;
}

.ms-Button.ms-Button--primary:focus {
  background-color: #005a9e;
  border-color: #004578;
}

.ms-Button.ms-Button--primary:active {
  background-color: #0078d7;
  border-color: #0078d7;
}

.ms-Button.ms-Button--primary:disabled,
.ms-Button.ms-Button--primary.is-disabled {
  background-color: #f4f4f4;
  border-color: #f4f4f4;
}

.ms-Button.ms-Button--primary:disabled .ms-Button-label,
.ms-Button.ms-Button--primary.is-disabled .ms-Button-label {
  color: #a6a6a6;
}

.ms-Button.ms-Button--hero {
  background-color: transparent;
  border: none;
  vertical-align: top;
  line-height: normal;
}

.ms-Button.ms-Button--hero .ms-Button-icon {
  color: #0078d7;
  display: inline-block;
  font-size: 12px;
  position: relative;
  top: -8px;
}

.ms-Button.ms-Button--hero .ms-Button-icon .ms-Icon {
  border-radius: 18px;
  border: 1px solid #0078d7;
  height: 18px;
  line-height: 18px;
  width: 18px;
  font-size: 12px;
  margin: 0;
}

.ms-Button.ms-Button--hero .ms-Button-label {
  color: #0078d7;
  font-family: 'Segoe UI Light WestEuropean', 'Segoe UI Light', 'Segoe UI', Tahoma, Arial, sans-serif;
  font-size: 21px;
  position: relative;
  top: -5px;
  text-decoration: none;
}

.ms-Button.ms-Button--hero:hover .ms-Button-icon .ms-Icon,
.ms-Button.ms-Button--hero:focus .ms-Button-icon .ms-Icon {
  color: #005a9e;
}

.ms-Button.ms-Button--hero:hover .ms-Button-label,
.ms-Button.ms-Button--hero:focus .ms-Button-label {
  color: #004578;
}

.ms-Button.ms-Button--hero:active .ms-Button-icon .ms-Icon {
  color: #0078d7;
}

.ms-Button.ms-Button--hero:active .ms-Button-label {
  color: #0078d7;
}

.ms-Button.ms-Button--hero:disabled .ms-Button-icon .ms-Icon,
.ms-Button.ms-Button--hero.is-disabled .ms-Button-icon .ms-Icon {
  color: #c8c8c8;
}

.ms-Button.ms-Button--hero:disabled .ms-Button-label,
.ms-Button.ms-Button--hero.is-disabled .ms-Button-label {
  color: #a6a6a6;
}

.ms-Button.ms-Button--compound {
  height: auto;
  min-height: 72px;
  max-width: 280px;
  padding: 20px;
}

.ms-Button.ms-Button--compound .ms-Button-label {
  display: block;
  font-family: 'Segoe UI Semibold WestEuropean', 'Segoe UI Semibold', 'Segoe UI', Tahoma, Arial, sans-serif;
  position: relative;
  text-align: left;
  margin-top: -5px;
}

.ms-Button.ms-Button--compound .ms-Button-description {
  color: #666666;
  display: block;
  font-family: 'Segoe UI Regular WestEuropean', 'Segoe UI', Tahoma, Arial, sans-serif;
  font-size: 12px;
  position: relative;
  text-align: left;
  top: 3px;
}

.ms-Button.ms-Button--compound:hover .ms-Button-description {
  color: #212121;
}

.ms-Button.ms-Button--compound:focus {
  border-color: #0078d7;
  background-color: #f4f4f4;
}

.ms-Button.ms-Button--compound:focus .ms-Button-label {
  color: #333333;
}

.ms-Button.ms-Button--compound:focus .ms-Button-description {
  color: #666666;
}

.ms-Button.ms-Button--compound:active {
  background-color: #0078d7;
}

.ms-Button.ms-Button--compound:active .ms-Button-description,
.ms-Button.ms-Button--compound:active .ms-Button-label {
  color: #ffffff;
}

.ms-Button.ms-Button--compound:disabled .ms-Button-label,
.ms-Button.ms-Button--compound:disabled .ms-Button-description,
.ms-Button.ms-Button--compound.is-disabled .ms-Button-label,
.ms-Button.ms-Button--compound.is-disabled .ms-Button-description {
  color: #a6a6a6;
}

.ms-Button.ms-Button--compound:disabled:focus,
.ms-Button.ms-Button--compound:disabled:active,
.ms-Button.ms-Button--compound.is-disabled:focus,
.ms-Button.ms-Button--compound.is-disabled:active {
  border-color: #f4f4f4;
  background-color: #f4f4f4;
}

.ms-Button.ms-Button--compound:disabled:focus .ms-Button-label,
.ms-Button.ms-Button--compound:disabled:focus .ms-Button-description,
.ms-Button.ms-Button--compound:disabled:active .ms-Button-label,
.ms-Button.ms-Button--compound:disabled:active .ms-Button-description,
.ms-Button.ms-Button--compound.is-disabled:focus .ms-Button-label,
.ms-Button.ms-Button--compound.is-disabled:focus .ms-Button-description,
.ms-Button.ms-Button--compound.is-disabled:active .ms-Button-label,
.ms-Button.ms-Button--compound.is-disabled:active .ms-Button-description {
  color: #a6a6a6;
}

.ms-Button.ms-Button--command {
  background-color: transparent;
  border: none;
  height: 32px;
  line-height: 32px;
  min-width: 0;
  padding: 0 8px;
  text-align: left;
  font-size: 14px;
}

.ms-Button.ms-Button--command .ms-Button-icon {
  color: #666666;
  display: inline-block;
  margin-right: 4px;
  position: relative;
}

.ms-Button.ms-Button--command .ms-Button-label {
  font-family: 'Segoe UI Regular WestEuropean', 'Segoe UI', Tahoma, Arial, sans-serif;
}

.ms-Button.ms-Button--command:hover .ms-Button-icon,
.ms-Button.ms-Button--command:focus .ms-Button-icon {
  color: #212121;
}

.ms-Button.ms-Button--command:hover .ms-Button-label,
.ms-Button.ms-Button--command:focus .ms-Button-label {
  color: #000000;
}

.ms-Button.ms-Button--command:active .ms-Button-icon,
.ms-Button.ms-Button--command:active .ms-Button-label {
  color: #0078d7;
}

.ms-Button.ms-Button--command:disabled .ms-Button-icon,
.ms-Button.ms-Button--command.is-disabled .ms-Button-icon {
  color: #c8c8c8;
}

.ms-Button.ms-Button--command:disabled .ms-Button-label,
.ms-Button.ms-Button--command.is-disabled .ms-Button-label {
  color: #a6a6a6;
}

.ms-Button.ms-Button--command + .ms-Button.ms-Button--command {
  margin-left: 14px;
}

.ms-ChoiceField {
  color: #333333;
  font-family: 'Segoe UI Regular WestEuropean', 'Segoe UI', Tahoma, Arial, sans-serif;
  font-size: 14px;
  font-weight: normal;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  box-shadow: none;
  min-height: 36px;
  position: relative;
}

.ms-ChoiceField .ms-Label {
  font-size: 14px;
  padding: 0 0 0 26px;
}

.ms-ChoiceField-input:disabled + .ms-ChoiceField-field {
  pointer-events: none;
  cursor: default;
}

.ms-ChoiceField-input:disabled + .ms-ChoiceField-field:before {
  background-color: #c8c8c8;
  color: #c8c8c8;
}

.ms-ChoiceField-input:disabled + .ms-ChoiceField-field:after {
  border-color: #eaeaea;
}

.ms-ChoiceField-input:disabled + .ms-ChoiceField-field .ms-Label {
  color: #a6a6a6;
}

.ms-ChoiceField-input {
  position: absolute;
  opacity: 0;
  top: 8px;
}

.ms-ChoiceField-input:focus:not(:disabled) + .ms-ChoiceField-field:after {
  border-color: #767676;
}

.ms-ChoiceField-field {
  display: inline-block;
  cursor: pointer;
  margin-top: 8px;
  position: relative;
}

.ms-ChoiceField-field:after {
  content: '';
  display: inline-block;
  border: 1px #c8c8c8 solid;
  width: 19px;
  height: 19px;
  cursor: pointer;
  position: relative;
  font-weight: normal;
  left: -1px;
  top: -1px;
  border-radius: 50%;
  position: absolute;
}

.ms-ChoiceField-field:hover:after {
  border-color: #767676;
}

.ms-ChoiceField-field:hover .ms-Label {
  color: #000000;
}

.ms-ChoiceField-input:checked + .ms-ChoiceField-field:before {
  background-color: #666666;
  border-color: #666666;
  color: #666666;
  border-radius: 50%;
  content: '\00a0';
  display: inline-block;
  position: absolute;
  top: 4px;
  right: 0;
  bottom: 0;
  left: 4px;
  width: 11px;
  height: 11px;
  box-sizing: border-box;
}

.ms-ChoiceField-input:checked + .ms-ChoiceField-field:hover:before {
  background-color: #212121;
  color: #212121;
}

.ms-ChoiceField-input[type='checkbox'] + .ms-ChoiceField-field:after {
  border-radius: 0;
}

.ms-ChoiceField-input[type='checkbox']:checked + .ms-ChoiceField-field:before {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-family: 'Office365Icons';
  font-style: normal;
  font-weight: normal;
  line-height: 1;
  speak: none;
  content: '\e041';
  background-color: transparent;
  border-radius: 0;
  font-size: 13px;
  top: 3px;
  left: 3px;
}

.ms-ChoiceFieldGroup {
  margin-bottom: 4px;
}

.ms-Overlay {
  background-color: rgba(255, 255, 255, 0.4);
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  z-index: 200;
}

.ms-Overlay.ms-Overlay--dark {
  background-color: rgba(0, 0, 0, 0.4);
}

.ms-Overlay--none {
  visibility: hidden;
}

.ms-Dialog {
  background-color: transparent;
  position: fixed;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 300;
  display: block;
  font-size: 0;
  line-height: 100vh;
  text-align: center;
  display: -ms-flexbox;
  display: -webkit-flex;
  display:         flex;
  -ms-flex-align: center;
  -webkit-align-items: center;
          align-items: center;
}

.ms-Dialog::before {
  vertical-align: middle;
  display: inline-block;
  content: '';
  height: 100%;
  width: 0;
}

.ms-Dialog .ms-Button.ms-Button--compound {
  display: block;
  margin-left: 0;
}

.ms-Dialog .ms-Overlay {
  z-index: 0;
}

.ms-Dialog-main {
  vertical-align: middle;
  display: inline-block;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.4);
  background-color: #ffffff;
  box-sizing: border-box;
  line-height: 1.35;
  margin: auto;
  width: 288px;
  position: relative;
  text-align: left;
  outline: 1px solid transparent;
}

.ms-Dialog-button.ms-Dialog-button--close {
  display: none;
  position: absolute;
  margin: 0;
  padding: 0;
  border: 0;
  background: none;
  cursor: pointer;
  top: 12px;
  right: 12px;
  padding: 8px;
  z-index: 10;
}

.ms-Dialog-button.ms-Dialog-button--close .ms-Icon.ms-Icon--x {
  color: #666666;
  font-size: 16px;
}

.ms-Dialog-inner {
  height: 100%;
  padding: 0 20px 20px;
}

.ms-Dialog-header {
  position: relative;
  width: 100%;
  box-sizing: border-box;
  padding: 12px 20px 15px;
}

.ms-Dialog-title {
  margin: 0;
  font-family: 'Segoe UI Light WestEuropean', 'Segoe UI Light', 'Segoe UI', Tahoma, Arial, sans-serif;
  font-size: 21px;
}

.ms-Dialog-content {
  position: relative;
  width: 100%;
}

.ms-Dialog-content .ms-Button.ms-Button--compound:not(:last-child) {
  margin-bottom: 20px;
}

.ms-Dialog-subText {
  margin: 0 0 20px 0;
  padding-top: 8px;
  font-family: 'Segoe UI Semilight WestEuropean', 'Segoe UI Semilight', 'Segoe UI', Tahoma, Arial, sans-serif;
  color: #333333;
  font-size: 12px;
}

.ms-Dialog-actions {
  position: relative;
  width: 100%;
  min-height: 24px;
  line-height: 24px;
  margin: 20px 0 0;
  font-size: 0;
}

.ms-Dialog-actions .ms-Button {
  line-height: normal;
}

.ms-Dialog-actionsRight {
  text-align: right;
  font-size: 0;
}

.ms-Dialog-actionsRight .ms-Dialog-action:first-child {
  margin: 0;
}

.ms-Dialog-actionsRight .ms-Dialog-action + .ms-Dialog-action {
  margin: 0 0 0 16px;
}

.ms-Dialog.ms-Dialog--close:not(.ms-Dialog--lgHeader) .ms-Dialog-title {
  margin-right: 20px;
}

.ms-Dialog.ms-Dialog--close:not(.ms-Dialog--lgHeader) .ms-Dialog-button.ms-Dialog-button--close {
  display: block;
}

.ms-Dialog.ms-Dialog--multiline .ms-Dialog-title {
  font-size: 28px;
}

.ms-Dialog.ms-Dialog--multiline .ms-Dialog-inner {
  padding: 0 20px 20px;
}

.ms-Dialog.ms-Dialog--lgHeader .ms-Dialog-header {
  background-color: #0078d7;
  padding: 26px 20px 28px;
  margin-bottom: 8px;
}

.ms-Dialog.ms-Dialog--lgHeader .ms-Dialog-title {
  font-size: 28px;
  font-family: 'Segoe UI Light WestEuropean', 'Segoe UI Light', 'Segoe UI', Tahoma, Arial, sans-serif;
  color: #ffffff;
}

.ms-Dialog.ms-Dialog--lgHeader .ms-Dialog-subText {
  font-size: 14px;
}

@media (min-width: 480px) {
  .ms-Dialog-main {
    width: auto;
    min-width: 288px;
    max-width: 340px;
  }
}